<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style type="text/css" media="screen">
		*{
			margin:0px;
			padding:0px;
		}

		body{
			text-align:center;
		}

		div{
			background-color: #ccc;
			border: solid 1px black;
			font-size: 18px;
			width:80px;
			height:50px;
			line-height: 50px;
			float:left;
			margin:10px 10px;
		}

		div#salida{
			width:200px;
			margin:0px auto;
			background-color: black;
			color:white;
			float:none;
		}

		.limpia{
			clear:both;
		}

		section{
			width:400px;			
			margin:10px auto;
		}

	</style>
	<script type="text/javascript">
		function funcion(valor){
			if(valor==0){
				document.querySelector("#salida").innerHTML="";
			}else{
				document.querySelector("#salida").innerHTML+=valor;
			}
 		}



	</script>

</head>
<body>
	<section>
		<div onclick="funcion(1)">1</div>
		<div onclick="funcion(2)">2</div>
		<div onclick="funcion(3)">3</div>
		<div onclick="funcion(4)">4</div>
		<br class="limpia">	
	</section>
	
	<section>
		<div id="salida"></div>
		<br class="limpia">	
	</section>
	
	<section>
		<div onclick="funcion(0)">C</div>
		<br class="limpia">
	</section>
	
	
</body>
</html>